Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update a project module

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

Replaces the module payload and/or sets its status. Locked modules reject payload changes.

PATCH/v1/projects/{projectId}/modules/{moduleKey}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Path parameters
projectIdstringrequired
min length 1
moduleKeystringrequired
Allowed:project-informationraumweiseheizlast-huellflaecheverbrauchwaermepumpejazwirtschaftlichkeitfoerderrechnerfoerderwissenschallrechnerchecku-wert-rechnerfoerderservicenachweisservice
Request body
application/json
statusstring
Allowed:not_starteddraftreadycalculatingcompletedsubmittedlockedfailed
schemaVersioninteger
min -9007199254740991 · max 9007199254740991
payloadobject | null
Show properties
Any of:
object
object
null
null
Responses
200

OK

idstringrequired
projectIdstringrequired
moduleKeystringrequired
Allowed:project-informationraumweiseheizlast-huellflaecheverbrauchwaermepumpejazwirtschaftlichkeitfoerderrechnerfoerderwissenschallrechnerchecku-wert-rechnerfoerderservicenachweisservice
statusstringrequired
Allowed:not_starteddraftreadycalculatingcompletedsubmittedlockedfailed
schemaVersionintegerrequired
min -9007199254740991 · max 9007199254740991
payloadobject | nullrequired
Show properties
Any of:
object
object
null
null
validationStateobject | nullrequired
Show properties
Any of:
object
object
null
null
lockedReasonstring | nullrequired
Show properties
Any of:
string
string
null
null
lastCompletedAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
createdAtstring<date-time>required
updatedAtstring<date-time>required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://app.bauhow.com/api/v1/projects/string/modules/project-information' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "status": "not_started",
  "schemaVersion": -9007199254740991,
  "payload": {
    "property1": null,
    "property2": null
  }
}'
Response
{
  "id": "string",
  "projectId": "string",
  "moduleKey": "project-information",
  "status": "not_started",
  "schemaVersion": -9007199254740991,
  "payload": {
    "property1": null,
    "property2": null
  },
  "validationState": {
    "property1": null,
    "property2": null
  },
  "lockedReason": "string",
  "lastCompletedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Was this page helpful?